@import "../global.css";
@import "../condensed.css";

/* DBA logo */
div#root .fwm-team-header-entity-logo-image {
  width: 18.75rem;
}

/* Rich Text <hr> */
span.fwm-rich-text-editor hr {
  border: initial;
  position: relative;
}
span.fwm-rich-text-editor hr::after {
  content: "";
  display: block;
  width: 12.5vw;
  height: 1px;
  background: var(--secondary);
  margin: 2vw auto 0;
}

/* Rich Text H2 */
span.fwm-rich-text-editor h2 {
  padding-bottom: 0;
  text-transform: uppercase;
  letter-spacing: 0.25vw;
  font-weight: 900;
}

/* Flashcard Header */
section.fwm-card-flashcard-image-set .fwm-card-heading {
  font-weight: 900;
  font-size: 1.75rem;
}

@media (min-width: 48rem) {
  section.fwm-card-flashcard-image-set .fwm-card-heading {
    font-size: 2.25rem;
  }
}
/* Hero Gradient/Box (no Supporting Text) */
.fwm-hero-gradient.fwm-hero-box:not(:has(.fwm-hero-large-supporting-text)) .fwm-hero-large-text-container hgroup {
  position: relative;
}
.fwm-hero-gradient.fwm-hero-box:not(:has(.fwm-hero-large-supporting-text)) .fwm-hero-large-text-container hgroup .fwm-hero-large-heading h1,
.fwm-hero-gradient.fwm-hero-box:not(:has(.fwm-hero-large-supporting-text)) .fwm-hero-large-text-container hgroup .fwm-hero-large-heading h2 {
  font-weight: 900;
  font-size: 2.5em;
  letter-spacing: 0.5vw;
  text-shadow: 0 0 40px black;
  position: relative;
  display: inline-block;
}

@media (max-width: 64rem) {
  .fwm-hero-gradient.fwm-hero-box:not(:has(.fwm-hero-large-supporting-text)) .fwm-hero-large-text-container.fwm-hero-no-cta hgroup::after {
    content: "";
    display: block;
    width: 6.25rem;
    height: 0.125rem;
    background: var(--white);
    margin: 0.75rem auto 0.75rem;
  }
  .fwm-hero-gradient.fwm-hero-box:not(:has(.fwm-hero-large-supporting-text)) .fwm-hero-box-align-center .fwm-hero-large-text-container.fwm-hero-no-cta hgroup::after {
    margin: 0.75rem auto 1rem;
  }
}
@media (min-width: 48rem) {
  .fwm-hero-gradient.fwm-hero-box:not(:has(.fwm-hero-large-supporting-text)) .fwm-hero-large-text-container hgroup .fwm-hero-large-heading h1,
  .fwm-hero-gradient.fwm-hero-box:not(:has(.fwm-hero-large-supporting-text)) .fwm-hero-large-text-container hgroup .fwm-hero-large-heading h2 {
    font-size: 3.5rem;
  }
}
@media (min-width: 64rem) {
  .fwm-hero-gradient.fwm-hero-box:not(:has(.fwm-hero-large-supporting-text)) .fwm-hero-large-text-container hgroup .fwm-hero-large-heading h1,
  .fwm-hero-gradient.fwm-hero-box:not(:has(.fwm-hero-large-supporting-text)) .fwm-hero-large-text-container hgroup .fwm-hero-large-heading h2 {
    font-size: 4rem;
    padding-left: 7.5rem;
    padding-right: 7.5rem;
  }
  .fwm-hero-gradient.fwm-hero-box:not(:has(.fwm-hero-large-supporting-text)) .fwm-hero-large-text-container hgroup .fwm-hero-large-heading h1::before,
  .fwm-hero-gradient.fwm-hero-box:not(:has(.fwm-hero-large-supporting-text)) .fwm-hero-large-text-container hgroup .fwm-hero-large-heading h1::after,
  .fwm-hero-gradient.fwm-hero-box:not(:has(.fwm-hero-large-supporting-text)) .fwm-hero-large-text-container hgroup .fwm-hero-large-heading h2::before,
  .fwm-hero-gradient.fwm-hero-box:not(:has(.fwm-hero-large-supporting-text)) .fwm-hero-large-text-container hgroup .fwm-hero-large-heading h2::after {
    content: "";
    display: block;
    position: absolute;
    width: 6.25rem;
    height: 0.125rem;
    background: var(--white);
    border-radius: 0;
    top: 50%;
    left: 0;
    transform: translateY(-50%);
    border: 0;
  }
  .fwm-hero-gradient.fwm-hero-box:not(:has(.fwm-hero-large-supporting-text)) .fwm-hero-large-text-container hgroup .fwm-hero-large-heading h1::after,
  .fwm-hero-gradient.fwm-hero-box:not(:has(.fwm-hero-large-supporting-text)) .fwm-hero-large-text-container hgroup .fwm-hero-large-heading h2::after {
    left: auto;
    right: 0;
    transform: translateY(-50%);
  }
}
/* Hero Gradient/Box (has Supporting Text) */
.fwm-hero-gradient.fwm-hero-box:has(.fwm-hero-large-supporting-text) .fwm-hero-large-heading-container {
  justify-content: flex-end;
  padding-bottom: 3rem;
}
.fwm-hero-gradient.fwm-hero-box:has(.fwm-hero-large-supporting-text) .fwm-hero-large-heading-container hgroup {
  position: relative;
}
.fwm-hero-gradient.fwm-hero-box:has(.fwm-hero-large-supporting-text) .fwm-hero-large-heading-container hgroup .fwm-hero-large-heading h1,
.fwm-hero-gradient.fwm-hero-box:has(.fwm-hero-large-supporting-text) .fwm-hero-large-heading-container hgroup .fwm-hero-large-heading h2 {
  margin: 0 0 1vw;
  padding: 0;
  font-size: 1rem !important;
  line-height: 1;
  text-transform: uppercase;
  font-weight: 900;
  letter-spacing: 0.25vw;
  text-shadow: 0 0 40px black;
}
.fwm-hero-gradient.fwm-hero-box:has(.fwm-hero-large-supporting-text) .fwm-hero-large-heading-container hgroup .fwm-hero-large-supporting-text p {
  font-size: 2.5rem;
  font-weight: 900;
  padding: 0;
  letter-spacing: 0.25vw;
  text-shadow: 0 0 40px black;
  line-height: 1.1;
}

@media (min-width: 48rem) {
  .fwm-hero-gradient.fwm-hero-box:has(.fwm-hero-large-supporting-text) .fwm-hero-large-text-container hgroup .fwm-hero-large-supporting-text p {
    font-size: 2.75rem;
  }
}
@media (min-width: 64rem) {
  .fwm-hero-gradient.fwm-hero-box:has(.fwm-hero-large-supporting-text) .fwm-hero-large-text-container hgroup .fwm-hero-large-supporting-text p {
    font-size: 3rem;
  }
}
/* Flip-Card Single Image (No celluar images, no header/footer [Home] */
.fwm-card-flashcard-image-set:not(:has(picture)):not(:has(.fwm-section-header)):not(:has(.fwm-section-footer)) {
  background: url("https://media.northwesternmutual.com/sites/images/4ac8b977-0a8e-4b10-9f04-2299e242f6f5.jpeg?width=original");
  background-position: center;
  background-repeat: no-repeat;
  background-size: cover;
}
.fwm-card-flashcard-image-set:not(:has(picture)):not(:has(.fwm-section-header)):not(:has(.fwm-section-footer)) .fwm-nestable-content .fwm-card-flashcard-image-overlay {
  background: rgba(0, 0, 0, 0.75);
}

.fwm-nestable-content.fwm-nestable-grid .fwm-card-cta-link .fwm-card-cta-text {
  font-size: 1rem;
  font-weight: 700;
}
.fwm-nestable-content.fwm-nestable-grid .fwm-card-cta-link .fwm-card-cta-adornment {
  display: none !important;
}

.fwm-darkTheme .fwm-card-cta-link span.fwm-card-cta-text {
  color: var(--secondary-text);
}

/* Photo Overlay - Wide */
@media (max-width: 48rem) {
  .fwm-photo-overlay.fwm-column-halves.fwm-lightTheme .fwm-photo-overlay-content {
    border: 1px solid var(--secondary);
  }
}
@media (min-width: 48rem) {
  .fwm-photo-overlay.fwm-column-halves.fwm-lightTheme.fwm-not-subcomponent:not(:has(.fwm-nestable-header-top)):not(:has(.fwm-nestable-footer-bottom)) .fwm-photo-overlay-image {
    position: relative;
    z-index: 10;
  }
  .fwm-photo-overlay.fwm-column-halves.fwm-lightTheme.fwm-not-subcomponent:not(:has(.fwm-nestable-header-top)):not(:has(.fwm-nestable-footer-bottom)) .fwm-photo-overlay-content {
    background: var(--gray);
    z-index: 20;
  }
  .fwm-photo-overlay.fwm-column-halves.fwm-lightTheme.fwm-not-subcomponent:not(:has(.fwm-nestable-header-top)):not(:has(.fwm-nestable-footer-bottom)).fwm-bg-lightC .fwm-photo-overlay-content {
    background: var(--white);
  }
  .fwm-photo-overlay.fwm-column-halves.fwm-lightTheme.fwm-not-subcomponent:not(:has(.fwm-nestable-header-top)):not(:has(.fwm-nestable-footer-bottom))::before {
    content: "";
    display: block;
    position: absolute;
    top: 50%;
    right: 1.5rem;
    border: 1px solid var(--secondary);
    width: 67vw;
    height: 95%;
    z-index: 0;
    transform: translateY(-50%);
  }
  .fwm-photo-overlay.fwm-column-halves.fwm-lightTheme.fwm-not-subcomponent:not(:has(.fwm-nestable-header-top)):not(:has(.fwm-nestable-footer-bottom)).fwm-media-right::before {
    right: intiial;
    left: 1.5rem;
  }
}
/* Photo Center Overlay [Firm Overview] */
.fwm-photo-center-overlay {
  position: relative;
}
.fwm-photo-center-overlay .fwm-photo-center-overlay-container .fwm-photo-center-overlay-content {
  background: var(--gray-dark-20);
  box-shadow: 2.5vw 2.5vw 0 var(--secondary);
}
.fwm-photo-center-overlay .fwm-photo-center-overlay-container .fwm-photo-center-overlay-content *:not(.fwm-button-link) {
  color: var(--white);
}
.fwm-photo-center-overlay .fwm-photo-center-overlay-container .fwm-photo-center-overlay-content .text-primary {
  color: var(--secondary);
}

@media (min-width: 64rem) {
  .fwm-photo-center-overlay {
    margin-top: 6.25rem;
    padding-top: 6.25rem !important;
  }
  .fwm-photo-center-overlay .fwm-photo-center-overlay-container {
    display: flex;
    flex-direction: column-reverse;
  }
  .fwm-photo-center-overlay .fwm-photo-center-overlay-container .fwm-photo-center-overlay-content {
    transform: translateX(-50%);
    position: absolute;
    top: -6.25rem;
    left: 50%;
    margin-top: initial;
  }
}
/* Custom Photo - Narrow */
section.fwm-photo-panel.fwm-column-thirds .fwm-PhotoComponent-container {
  position: relative;
  align-self: flex-start;
}
section.fwm-photo-panel.fwm-column-thirds .fwm-PhotoComponent-container img {
  position: relative;
  z-index: 10;
}
section.fwm-photo-panel.fwm-column-thirds .fwm-PhotoComponent-container::before {
  content: "";
  display: block;
  position: absolute;
  top: 0.75rem;
  right: 0.75rem;
  height: 100%;
  width: 100%;
  border: 0.125rem solid var(--secondary);
}
section.fwm-photo-panel.fwm-column-thirds.fwm-media-right .fwm-PhotoComponent-container::before {
  right: initial;
  left: 0.75rem;
}

/* Tabs */
.fwm-tabbed-content-panel .fwm-nestable.fwm-is-subcomponent {
  padding-bottom: 0;
}